Update project test

Updates a test or component.

PUT /api/public/v1/tests/{testId}
Bearer token

Path parameters

· 1
testId string required

Test ID.

Body

· UpdateTestRequest
required application/json

Updated test or component.

name string · min length: 1 required

Name of the test or reusable component.

description string · nullable

Optional description.

isComponent boolean required

Whether the test definition is reusable as a component step in other tests.

viewportPreset string | null

Optional viewport preset for runnable tests.

timeoutMinutes integer · min: 1· max: 1440

Default timeout in minutes for runs of this test.

graphStartX number

Start node canvas center x position.

graphStartY number

Start node canvas center y position.

steps array of object required

Ordered steps for the test.

Responses